Kyc Age Verification

Operations to verify the age of a user.


Parameters

Name In Type Required Description
org_id path string true ‘none’
body body KycAgeVerificationVerifyRequestBody true ‘none’

Request body - instance of KycAgeVerificationVerifyRequestBody

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
{
  "ageThreshold": 120,
  "phoneNumber": "+123456789",
  "idDocument": "string",
  "name": "string",
  "givenName": "string",
  "familyName": "string",
  "middleNames": "string",
  "familyNameAtBirth": "string",
  "birthdate": "2019-08-24",
  "email": "user@example.com",
  "includeContentLock": false,
  "includeParentalControl": false
}
Name Type Required Description
ageThreshold KycAgeVerificationAgeThreshold true The age to be verified. The indicated range is a global definition of maximum and minimum values allowed to be requested. It is important to note that this range might be more restrictive in some implementations due to local regulations of a country i.e. A country does not allow to request for an age under 18. This limitation must be informed during the onboarding process.
phoneNumber KycAgeVerificationPhoneNumber true A public identifier addressing a telephone subscription. In mobile networks it corresponds to the MSISDN (Mobile Station International Subscriber Directory Number). In order to be globally unique it has to be formatted in international format, according to E.164 standard, prefixed with ‘+’.
idDocument KycAgeVerificationIdDocument false Id number associated to the official identity document in the country. It may contain alphanumeric characters.
name KycAgeVerificationName false Complete name of the customer, usually composed of first/given name and last/family/sur- name in a country. Depending on the country, the order of first/give name and last/family/sur- name varies, and middle name could be included. It can use givenName, middleNames, familyName and/or familyNameAtBirth. For example, in ESP, name+familyName; in NLD, it can be name+middleNames+familyName or name+middleNames+familyNameAtBirth, etc.
givenName KycAgeVerificationGivenName false First/given name or compound first/given name of the customer.
familyName KycAgeVerificationFamilyName false Last name, family name, or surname of the customer.
middleNames KycAgeVerificationMiddleNames false Middle name/s of the customer.
familyNameAtBirth KycAgeVerificationFamilyNameAtBirth false Last/family/sur- name at birth of the customer.
birthdate KycAgeVerificationBirthdate false The birthdate of the customer, in RFC 3339 / ISO 8601 calendar date format (YYYY-MM-DD).
email KycAgeVerificationEmail false Email address of the customer in the RFC specified format (local-part@domain).
includeContentLock KycAgeVerificationIncludeContentLock false If this parameter is included in the request with value true, the response property contentLock will be returned. If it is not included or its value is false, the response property will not be returned.
includeParentalControl KycAgeVerificationIncludeParentalControl false If this parameter is included in the request with value true, the response property parentalControl will be returned. If it is not included or its value is false, the response property will not be returned.

Request example

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19

curl -X POST https://opengateway.masstack.com/v0/orgs/{org_id}/kyc-age-verification/verify \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
 --data-raw "{
  'ageThreshold': 120,
  'phoneNumber': '+123456789',
  'idDocument': 'string',
  'name': 'string',
  'givenName': 'string',
  'familyName': 'string',
  'middleNames': 'string',
  'familyNameAtBirth': 'string',
  'birthdate': '2019-08-24',
  'email': 'user@example.com',
  'includeContentLock': false,
  'includeParentalControl': false
}" 

Responses

Code Meaning Description Schema
200 OK OK KycAgeVerificationVerifyResponseBody
400 Bad Request Problem with the client request. KycAgeVerificationApiError
401 Unauthorized Authentication problem with the client request. Unauthorized error. Access Token related errors. KycAgeVerificationApiError
403 Forbidden Client does not have sufficient permission. KycAgeVerificationApiError
404 Not Found Not Found error. Error if URL is wrong / user is not found. KycAgeVerificationApiError
422 Unprocessable Entity Unprocessable entity. The server understands the content type of the request entity and the syntax of the request entity is correct, but it was unable to process the contained instructions. For example, this error can be returned when the subject of the API cannot be identified from the provided parameters or when there is a mismatch between the subject identified from the access token and the one provided in the request. KycAgeVerificationApiError
500 Internal Server Error Server error. Problem with MNO’s server side. Some processing error within MNO’s servers. KycAgeVerificationApiError
503 Service Unavailable Service unavailable. Typically the server is down. Problem with MNO’s server side. Any unexpected error within MNO’s servers. KycAgeVerificationApiError
504 Gateway Time-out Request time exceeded. If it happens repeatedly, consider reducing the request complexity KycAgeVerificationApiError

Endpoints

Device Swap

    KycMatch

      Kyc Age Verification

        Consent Info